from app.scripts import BaseBootstrapScript
import app.util
import os
import app.selinux_permissions

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create CVS Repository base folder"

    def bootstrap(self):

        cvsBase = self.cfg['CVS_REPOSITORY_BASE']
        cvsUser = self.cfg['CVS_USER']
        cvsGroup = self.cfg['CVS_GROUP']

        if os.path.islink(cvsBase):
            cvsBase = os.readlink(cvsBase)

        if not os.path.exists(cvsBase):
            app.util.runSystem("mkdir -p %s" % cvsBase, self.log)
            app.util.runSystem("chown %s:%s %s" % (cvsUser,cvsGroup,cvsBase), self.log)

            if self.cfg['SELINUX_ENABLED'] == "true":
                selinux = app.selinux_permissions.SELinuxSetting()
                selinux.changeContext ('httpd_sys_rw_content_t',cvsBase)

