﻿
from app.scripts import BaseCreateRuntimeScript

import os
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create CVS repository base path"

    def createRuntime(self):

        cvsRepoBasePath = self.cfg["CVS_REPOSITORY_BASE"]
        self.checkAndCreateCVSRepoBasePath(cvsRepoBasePath)
        
    def checkAndCreateCVSRepoBasePath(self, cvsRepoBasePath):

        if os.path.isdir(cvsRepoBasePath):
            return

        scmUser = self.cfg['HTTPD_USER']
        scmGroup = self.cfg['HTTPD_GROUP']
        cmd = "mkdir -p %s" % cvsRepoBasePath
        chownCmd = "chown %s:%s %s" % (scmUser, scmGroup, cvsRepoBasePath)
                
        app.util.runSystem(cmd, self.log)
        app.util.runSystem(chownCmd, self.log)
