from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create SCM Repository archive folder"

    def bootstrap(self):
        scmArchive = self.cfg['SCM_REPOSITORY_ARCHIVE']
        integrationUser = self.cfg['INTEGRATION_USER']
        integrationGroup = self.cfg['INTEGRATION_GROUP']

        if os.path.islink(scmArchive):
            scmArchive = os.readlink(scmArchive)
        app.util.runSystem("mkdir -p %s" % scmArchive, self.log)
        app.util.runSystem("chown %s:%s %s" % (integrationUser,integrationGroup,scmArchive), self.log)
