from app.scripts import BaseBootstrapScript
import app.util
import app.selinux_permissions
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create Subversion Repository base folder"

    def bootstrap(self):

        svnBase = self.cfg['SUBVERSION_REPOSITORY_BASE']
        svnUser = self.cfg['HTTPD_USER']
        svnGroup = self.cfg['HTTPD_GROUP']

        if os.path.islink(svnBase):
            svnBase = os.readlink(svnBase)
    
        if not os.path.exists(svnBase):
            app.util.runSystem("mkdir -p %s" % svnBase, self.log)
            app.util.runSystem("chown %s:%s %s" % (svnUser,svnGroup,svnBase), self.log)

            if self.cfg['SELINUX_ENABLED'] == "true":
                selinux = app.selinux_permissions.SELinuxSetting()
                selinux.changeContext ('httpd_sys_rw_content_t',svnBase)
