﻿
from app.scripts import BaseCreateRuntimeScript

import os
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create subversion repository base path"

    def createRuntime(self):

        svnRepoBasePath = self.cfg["SUBVERSION_REPOSITORY_BASE"]
        self.checkAndCreateSVNRepoBasePath(svnRepoBasePath)

    def checkAndCreateSVNRepoBasePath(self, svnRepoBasePath):

        if os.path.isdir(svnRepoBasePath):
            return

        scmUser = self.cfg['HTTPD_USER']
        scmGroup = self.cfg['HTTPD_GROUP']
        cmd = "mkdir -p %s" % svnRepoBasePath
        chownCmd = "chown %s:%s %s" % (scmUser, scmGroup, svnRepoBasePath)
                
        app.util.runSystem(cmd, self.log)
        app.util.runSystem(chownCmd, self.log)
